Traits 4.4.0 not updated in pypi/ets?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Traits 4.4.0 not updated in pypi/ets?

Adam Hughes
Hi,

I noticed that traits 4.4.0 in pypi gives a dead link:


This seems to be due to repo/ets not being updated.  I noticed this when listing traits as a dependency in a pip package.  Since the package management is being ported over to Canopy, will the repo/ets remain updated in the future?  If not, is there another link that I should provide to pip so that Enthought packaged could still be linked as pip requirements.txt file?  For now, I'll probably link to an older version of traits, or directly to github in the requirements.txt file.

Thanks

--
Adam Hughes
Physics Ph.D Candidate
George Washington University

_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Traits 4.4.0 not updated in pypi/ets?

Jonathan Rocher
Hey Adam, thanks for the ping. 

We need to update the pypi page since we now upload the tar.gz to the repo to make it easier on people (the first link does work). Are you saying that pip tries to use that dead link on your machine? I just tried on a linux VM and downloaded traits 4.4.0 successfully. Could you share the output you get when you pip install traits?

In any case, and to answer your other question, our commitment to open source doesn't change with Canopy and we will continue releasing open source packages via PyPI. 

Jonathan


On Tue, Jan 21, 2014 at 10:30 PM, Adam Hughes <[hidden email]> wrote:
Hi,

I noticed that traits 4.4.0 in pypi gives a dead link:


This seems to be due to repo/ets not being updated.  I noticed this when listing traits as a dependency in a pip package.  Since the package management is being ported over to Canopy, will the repo/ets remain updated in the future?  If not, is there another link that I should provide to pip so that Enthought packaged could still be linked as pip requirements.txt file?  For now, I'll probably link to an older version of traits, or directly to github in the requirements.txt file.

Thanks

--
Adam Hughes
Physics Ph.D Candidate
George Washington University

_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev




--
Jonathan Rocher, PhD
Scientific software developer
Enthought, Inc.
[hidden email]
1-512-536-1057
http://www.enthought.com


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Traits 4.4.0 not updated in pypi/ets?

Adam Hughes
Hi Jonathan,

Hmm, interesting because I get a "sorry page not found" when I click that hyperlink.  Pip install gives this:

Downloading/unpacking traits (from -r requirements.txt (line 2))
  Could not install requirement traits (from -r requirements.txt (line 2)) because of error HTTP Error 404: Not Found
Could not install requirement traits (from -r requirements.txt (line 2)) because of HTTP error HTTP Error 404: Not Found for URL http://www.enthought.com/repo/ets/traits-4.4.0.tar.gz (from https://pypi.python.org/simple/traits/)
Storing complete log in ./pip-log.txt

However, specifying traits==4.3.0 as the pip dependency does indeed work.

Hope you're doing well.


On Wed, Jan 22, 2014 at 12:01 AM, Jonathan Rocher <[hidden email]> wrote:
Hey Adam, thanks for the ping. 

We need to update the pypi page since we now upload the tar.gz to the repo to make it easier on people (the first link does work). Are you saying that pip tries to use that dead link on your machine? I just tried on a linux VM and downloaded traits 4.4.0 successfully. Could you share the output you get when you pip install traits?

In any case, and to answer your other question, our commitment to open source doesn't change with Canopy and we will continue releasing open source packages via PyPI. 

Jonathan


On Tue, Jan 21, 2014 at 10:30 PM, Adam Hughes <[hidden email]> wrote:
Hi,

I noticed that traits 4.4.0 in pypi gives a dead link:


This seems to be due to repo/ets not being updated.  I noticed this when listing traits as a dependency in a pip package.  Since the package management is being ported over to Canopy, will the repo/ets remain updated in the future?  If not, is there another link that I should provide to pip so that Enthought packaged could still be linked as pip requirements.txt file?  For now, I'll probably link to an older version of traits, or directly to github in the requirements.txt file.

Thanks

--
Adam Hughes
Physics Ph.D Candidate
George Washington University

_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev




--
Jonathan Rocher, PhD
Scientific software developer
Enthought, Inc.
[hidden email]
<a href="tel:1-512-536-1057" value="+15125361057" target="_blank">1-512-536-1057
http://www.enthought.com


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev




--
Adam Hughes
Physics Ph.D Candidate
George Washington University

_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev